summaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-14 19:42:16 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-14 19:42:16 +0100
commit79f490eaeaa308b5ab0b5d2502f8741e07a5c57c (patch)
treedc3b03ac6bb36c87700096850bf1c467c84acbda /package
parentcf53aff5d6feebf06953794b03b1793cda3e2f77 (diff)
parentbe224b00592655208580afc6164961eea47c5a49 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package')
-rw-r--r--package/base-files/Makefile2
-rw-r--r--package/base-files/src/etc/fstab2
-rw-r--r--package/base-files/src/etc/init.d/fs49
-rw-r--r--package/base-files/src/etc/init.d/fsnet49
-rw-r--r--package/busybox/config/util-linux/Config.in2
5 files changed, 53 insertions, 51 deletions
diff --git a/package/base-files/Makefile b/package/base-files/Makefile
index 81fb1f6df..89b9414d9 100644
--- a/package/base-files/Makefile
+++ b/package/base-files/Makefile
@@ -6,7 +6,7 @@ include $(TOPDIR)/mk/rootfs.mk
PKG_NAME:= base-files
PKG_VERSION:= 1.0
-PKG_RELEASE:= 70
+PKG_RELEASE:= 71
PKG_SECTION:= base
PKG_DESCR:= basic files and scripts
PKG_BUILDDEP:= pkgconf-host file-host
diff --git a/package/base-files/src/etc/fstab b/package/base-files/src/etc/fstab
index 5c09c2510..d5f900202 100644
--- a/package/base-files/src/etc/fstab
+++ b/package/base-files/src/etc/fstab
@@ -6,3 +6,5 @@ devpts /dev/pts devpts defaults,gid=5,mode=620 0 0
tmpfs /dev/shm tmpfs mode=0777 0 0
tmpfs /tmp tmpfs mode=1777 0 0
sysfs /sys sysfs defaults 0 0
+# example for cifs
+#//192.168.1.1/music /music/test cifs ro,password=linux123,username=adk,iocharset=utf8,sec=ntlm 0 0
diff --git a/package/base-files/src/etc/init.d/fs b/package/base-files/src/etc/init.d/fs
index 75ae760e0..8f4397897 100644
--- a/package/base-files/src/etc/init.d/fs
+++ b/package/base-files/src/etc/init.d/fs
@@ -1,20 +1,53 @@
#!/bin/sh
-#INIT 60
+#INIT 20
[[ $1 = autostart ]] || exit 0
-# mount net filesystems (nfs/cifs)
-grep nfs /proc/filesystems >/dev/null 2>&1
+# activate swap
+[ -x /sbin/swapon ] && { swapon -a; }
+
+# activate any logical volumes
+[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
+
+# filesystem checks
+[ -x /sbin/fsck.ext2 ] && {
+ for i in $(grep -v "^#" /etc/fstab|grep ext2|awk '{ print $1}');do fsck.ext2 $i;done;
+}
+[ -x /sbin/fsck.ext3 ] && {
+ for i in $(grep -v "^#" /etc/fstab|grep ext3|awk '{ print $1}');do fsck.ext3 $i;done;
+}
+[ -x /sbin/fsck.ext4 ] && {
+ for i in $(grep -v "^#" /etc/fstab|grep ext4|awk '{ print $1}');do fsck.ext4 $i;done;
+}
+[ -x /sbin/fsck.xfs ] && {
+ for i in $(grep -v "^#" /etc/fstab|grep xfs|awk '{ print $1}');do xfs_repair $i;done;
+}
+# local filesystems
+grep ext2 /proc/filesystems >/dev/null 2>&1
+if [ $? -eq 0 ];then
+ grep -v "^#" /etc/fstab |grep ext2 >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mount -a -t ext2
+ fi
+fi
+grep ext3 /proc/filesystems >/dev/null 2>&1
+if [ $? -eq 0 ];then
+ grep -v "^#" /etc/fstab |grep ext3 >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mount -a -t ext3
+ fi
+fi
+grep ext4 /proc/filesystems >/dev/null 2>&1
if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab| grep nfs >/dev/null 2>&1
+ grep -v "^#" /etc/fstab |grep ext4 >/dev/null 2>&1
if [ $? -eq 0 ];then
- mount -a -t nfs
+ mount -a -t ext4
fi
fi
-grep cifs /proc/filesystems >/dev/null 2>&1
+grep xfs /proc/filesystems >/dev/null 2>&1
if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab| grep cifs >/dev/null 2>&1
+ grep -v "^#" /etc/fstab |grep xfs >/dev/null 2>&1
if [ $? -eq 0 ];then
- mount -a -t cifs
+ mount -a -t xfs
fi
fi
exit 0
diff --git a/package/base-files/src/etc/init.d/fsnet b/package/base-files/src/etc/init.d/fsnet
index 8f4397897..75ae760e0 100644
--- a/package/base-files/src/etc/init.d/fsnet
+++ b/package/base-files/src/etc/init.d/fsnet
@@ -1,53 +1,20 @@
#!/bin/sh
-#INIT 20
+#INIT 60
[[ $1 = autostart ]] || exit 0
-# activate swap
-[ -x /sbin/swapon ] && { swapon -a; }
-
-# activate any logical volumes
-[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
-
-# filesystem checks
-[ -x /sbin/fsck.ext2 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext2|awk '{ print $1}');do fsck.ext2 $i;done;
-}
-[ -x /sbin/fsck.ext3 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext3|awk '{ print $1}');do fsck.ext3 $i;done;
-}
-[ -x /sbin/fsck.ext4 ] && {
- for i in $(grep -v "^#" /etc/fstab|grep ext4|awk '{ print $1}');do fsck.ext4 $i;done;
-}
-[ -x /sbin/fsck.xfs ] && {
- for i in $(grep -v "^#" /etc/fstab|grep xfs|awk '{ print $1}');do xfs_repair $i;done;
-}
-# local filesystems
-grep ext2 /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext2 >/dev/null 2>&1
- if [ $? -eq 0 ];then
- mount -a -t ext2
- fi
-fi
-grep ext3 /proc/filesystems >/dev/null 2>&1
-if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext3 >/dev/null 2>&1
- if [ $? -eq 0 ];then
- mount -a -t ext3
- fi
-fi
-grep ext4 /proc/filesystems >/dev/null 2>&1
+# mount net filesystems (nfs/cifs)
+grep nfs /proc/filesystems >/dev/null 2>&1
if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep ext4 >/dev/null 2>&1
+ grep -v "^#" /etc/fstab| grep nfs >/dev/null 2>&1
if [ $? -eq 0 ];then
- mount -a -t ext4
+ mount -a -t nfs
fi
fi
-grep xfs /proc/filesystems >/dev/null 2>&1
+grep cifs /proc/filesystems >/dev/null 2>&1
if [ $? -eq 0 ];then
- grep -v "^#" /etc/fstab |grep xfs >/dev/null 2>&1
+ grep -v "^#" /etc/fstab| grep cifs >/dev/null 2>&1
if [ $? -eq 0 ];then
- mount -a -t xfs
+ mount -a -t cifs
fi
fi
exit 0
diff --git a/package/busybox/config/util-linux/Config.in b/package/busybox/config/util-linux/Config.in
index aafc795b1..026146662 100644
--- a/package/busybox/config/util-linux/Config.in
+++ b/package/busybox/config/util-linux/Config.in
@@ -572,7 +572,7 @@ config BUSYBOX_FEATURE_MOUNT_NFS
config BUSYBOX_FEATURE_MOUNT_CIFS
bool "Support mounting CIFS/SMB file systems"
- default y
+ default n
depends on BUSYBOX_MOUNT
help
Enable support for samba mounts.